Cars.com: Search
Search from Cars.com as JSON. 1 credit per successful call.
GET /v1/cars-com/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
zip | string | Required | Any |
radius_miles | integer | Required | Any |
makes[] | list of string | Optional | Up to 64 characters |
models[] | list of string | Optional | Up to 64 characters |
stock_type | string | Required | all, used, new, cpo |
year_min | integer | Optional | Any |
year_max | integer | Optional | Any |
fuel_slugs[] | list of string | Optional | Up to 64 characters |
transmission_slugs[] | list of string | Optional | Up to 64 characters |
seller_type[] | list of string | Optional | dealership, private_seller, online_seller |
sort | string | Required | BEST_MATCH_DESC, DISTANCE, MILEAGE, MILEAGE_DESC, YEAR, YEAR_DESC, LISTED_AT_DESC, LIST_PRICE_DESC |
page | integer | Required | Any |
page_size | integer | Required | Any |
Example request
curl "https://api.perceptlayer.com/v1/cars-com/search" \
-H "X-API-Key: $API_KEY"